Subject: [Jmap] Agenda uploaded

From: Bron Gondwana <[email-masked]>
Date: Mon, 26 Jun 2017 10:43:32 +1000

Hi All,

I have just uploaded the following agenda for our session in Prague.  We have a 90 minute session, so there's space for adding things if there's anything else you think needs talking about.

I'd also like to start discussion on on the list for each important item before we get there, so we can use our time in the meeting for the extra bandwidth required to hash out compromises on competing ideas.

In particular the parts that are not well defined yet - for core the extension mechanism is not settled, and authentication may need additional work.

For mail, the main area of discussion was submission.  I believe we got a conclusion on the list that everybody was happy with, so I'll follow up with Neil to make sure we have draft wording on that to discuss during this meeting, as well as an implementation in Cyrus and an implementation in the proxy.

If there's anything missing here, please let me know - happy to modify the agenda to cover what people want to talk about!

Bron.

JMAP session agenda - IETF99 Prague - 2017-07-17 13:30
===

Intro and Note Well:  5 min

JMAP Core: 30 min
* transport (json over http) 5 min
* push mechanism 5 min
* authentication 10 min
* extension mechanisms 10 min

JMAP Mail: 30 min
* keywords 5 min
* partial body fetch 5 min
* submission 20 min

Other business / github tickets: 25 min

-- 
  Bron Gondwana, CEO, FastMail Pty Ltd
  [email-masked]